﻿#region 命名空间
using MonoGameContentProcessors;
#endregion

namespace ContentFactory
{
    /// <summary>
    /// 提供素材生成、解决方案同步的配置。
    /// </summary>
    public sealed class Configuration : ViewObject
    {
        #region 属性

        /// <summary>
        /// 是否生成。
        /// </summary>
        public bool Build
        {
            get { return _build; }
            set
            {
                if (_build != value)
                {
                    _build = value;
                    this.Raise("Build");
                }
            }
        }
        bool _build;

        /// <summary>
        /// 游戏平台。
        /// </summary>
        public MonoGamePlatform GamePlatform
        {
            get { return _gamePlatform; }
            set
            {
                if (_gamePlatform != value)
                {
                    _gamePlatform = value;
                    this.Raise("GamePlatform");
                }
            }
        }
        MonoGamePlatform _gamePlatform;
         
        /// <summary>
        /// 项目目录。
        /// </summary>
        public string ProjectDirectory
        {
            get { return _projectDirectory; }
            set
            {
                if (_projectDirectory != value)
                {
                    _projectDirectory = value;
                    this.Raise("ProjectDirectory");
                }
            }
        }
        string _projectDirectory;

        /// <summary>
        /// 项目文件（.csproj）。
        /// </summary>
        public string ProjectFile
        {
            get { return _projectFile; }
            set
            {
                if (_projectFile != value)
                {
                    _projectFile = value;
                    this.Raise("ProjectFile");
                }
            }
        }
        string _projectFile;

        #endregion
    }
}
