﻿#region 命名空间
using System;
using System.Windows;
#endregion

namespace ContentFactory
{
    /// <summary>
    /// 创建自定义数据对话框。
    /// </summary>
    public partial class CreateCustomDataDialog : Window
    {
        #region 属性

        /// <summary>
        /// 自定义数据的类型。
        /// </summary>
        public Type DataType
        {
            get { return listView.SelectedItem as Type; }
        }

        #endregion

        #region 初始化

        /// <summary>
        /// 初始化。
        /// </summary>
        public CreateCustomDataDialog()
        {
            InitializeComponent();
            listView.ItemsSource = PipelineManager.SerializableTypes;
        }

        #endregion

        #region 事件处理

        // 确定 按钮点击后。
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (DataType == null)
            {
                MessageBox.Show("请选择要创建的数据的类型。", "Content Factory", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }
            DialogResult = true;
        }

        #endregion
    }
}
