﻿#region 命名空间
using Microsoft.Xna.Framework.Content.Pipeline;
#endregion

namespace MonoGameContentBuild
{
    /// <summary>
    /// 提供自定义导入程序记录行为的属性。
    /// </summary>
    public class CustomContentImporterContext : ContentImporterContext
    {
        #region 属性

        #region 实现 ContentImporterContext

        /// <summary>
        /// 构建中间（对象）目录根的绝对路径。
        /// </summary>
        public override string IntermediateDirectory
        {
            get { return ""; }
        }

        /// <summary>
        /// 获取导入程序的日志记录器。
        /// </summary>
        public override ContentBuildLogger Logger
        {
            get { return _logger; }
        }
        ContentBuildLogger _logger;

        /// <summary>
        /// 构建输出（二进制文件）目录根的绝对路径。
        /// </summary>
        public override string OutputDirectory
        {
            get { return ""; }
        }

        #endregion

        #endregion

        #region 初始化

        /// <summary>
        /// 初始化。
        /// </summary>
        public CustomContentImporterContext(ContentBuildLogger logger)
        {
            _logger = logger;
        }

        #endregion

        #region 方法

        /// <summary>
        /// 注册导入程序的日志记录器。
        /// </summary>
        internal void RegisterLogger(ContentBuildLogger logger)
        {
            _logger = logger;
        }

        #region 实现 ContentImporterContext

        public override void AddDependency(string filename)
        {
        }

        #endregion

        #endregion
    }
}
